API reference
Reviewed authentication policy
4 management API operations for Reviewed authentication policy.
/v1/policiesPolicies
POST/v1/policies/reviewsPropose
POST/v1/policies/reviews/{review_id}/approveApprove
POST/v1/policies/reviews/{review_id}/reconcileReconcile
GET/v1/policies
Policies
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
No path or query parameters declared.
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
POST/v1/policies/reviews
Propose
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredProposal
| Field | Type | Required | Description |
|---|---|---|---|
reason | string | Yes | Validation: min length 8; max length 500 |
accessTokenLifespan | integer | Yes | Validation: minimum 60; maximum 3600 |
ssoSessionIdleTimeout | integer | Yes | Validation: minimum 60; maximum 28800 |
ssoSessionMaxLifespan | integer | Yes | Validation: minimum 300; maximum 86400 |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/policies/reviews/{review_id}/approve
Approve
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
review_id | path | string | Yes | |
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredApproval
| Field | Type | Required | Description |
|---|---|---|---|
reason | string | Yes | Validation: min length 8; max length 500 |
role | string | Yes |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/policies/reviews/{review_id}/reconcile
Reconcile
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
review_id | path | string | Yes | |
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredMutation
| Field | Type | Required | Description |
|---|---|---|---|
reason | string | Yes | Validation: min length 8; max length 500 |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |